Album: Rooftop Paladin
Style: single
Artists:
- Hazama Yuutou
Date: January 23, 2023
Date Added: January 30, 2025
URLs:
- https://hazamayuutou.bandcamp.com/track/rooftop-paladin
- https://www.youtube.com/watch?v=hQKFQx4mAQY
- https://sarcasticmothdraws.tumblr.com/post/706188107847008256/yuutou-rooftop-paladin-heres-the-song-that-your
Cover Artists:
- Hazama Yuutou
Cover Art File Extension: png
Color: '#e00707'
Groups:
- Fandom
---
Track: Rooftop Paladin
Duration: 5:35
Commentary: |-
    <i>Hazama Yuutou:</i> ([YouTube description](https://www.youtube.com/watch?v=hQKFQx4mAQY), excerpt)

    uh oh homestuck

    So. Alpha Dave.<br>
    Literally shows up in two panels and then dies.<br>
    Yeah I kinda made a theme for him and it turned out to be one of the best things I've ever composed. Help.

    <i>Hazama Yuutou:</i> ([Tumblr ask](https://sarcasticmothdraws.tumblr.com/post/706188107847008256/yuutou-rooftop-paladin-heres-the-song-that-your) to [[artist:sarcasticmoth]])

    heres the song that your alpha dave content inspired me to make

    love your interpretation of him so fucking much man. i have no idea how but he gives me the spark to make shit whenever i see him and hes constantly bouncing around in my brain like a rubber ball. keep making amazing art!

    <i>SarcasticMoth:</i> ([Tumblr answer](https://sarcasticmothdraws.tumblr.com/post/706188107847008256/yuutou-rooftop-paladin-heres-the-song-that-your), 1/11/2023)

    So you're just going to casually just drop this fucking masterpiece on me like that and expect me to be normal about it??? HOLY SHIT DAWG. OH MY GOD.

    IT GIVES ME NOSTALGIA BUT IDK FROM WHAT YET BUT LIKE HOLY SHIT. I LOVE THIS. God if I don't make something base around this shame in me fr.
